package com.casic.missiles.modular.dept.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.enums.IdType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import java.io.Serializable;

/**
 * <p>
 * 部门责任人关联表
 * </p>
 *
 * @author zhangyingjie123
 * @since 2020-05-07
 */
@TableName("bus_dept_user")
public class BusDeptUser extends Model<BusDeptUser> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;
    /**
     * 部门id
     */
    @TableField("DEPTID")
    private Long deptid;
    /**
     * 责任人用户ID
     */
    @TableField("USER")
    private Long user;
    /**
     * 优先级(1是最高)
     */
    @TableField("NUM")
    private Integer num;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDeptid() {
        return deptid;
    }

    public void setDeptid(Long deptid) {
        this.deptid = deptid;
    }

    public Long getUser() {
        return user;
    }

    public void setUser(Long user) {
        this.user = user;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "BusDeptUser{" +
        "id=" + id +
        ", deptid=" + deptid +
        ", user=" + user +
        ", num=" + num +
        "}";
    }
}
